Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1
%global module_name stream-shift

Name:           nodejs-%{module_name}
Version:        1.0.0
Release:        alt1_6
Summary:        Returns the next buffer/object in a stream's readable queue

License:        MIT
URL:            https://github.com/mafintosh/stream-shift
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(through2)
%endif
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n package

rm -rf node_modules


%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
tape test.js
%endif

%files
%doc README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Mar 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_6
- new version

